package com.usky.dxtop.service.listener;

import com.usky.dxtop.service.MsgLogService;
import com.usky.dxtop.service.config.rabbitmq.group.GroupProduceConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.nio.charset.StandardCharsets;

/**
 * @author yq
 * @date 2021/9/15 13:56
 */
@Slf4j
@Component
public class GroupMqListener {

    @Autowired
    private MsgLogService msgLogService;
    @RabbitListener(queues = GroupProduceConfig.NAME, containerFactory = GroupProduceConfig.LISTENER)
    public void dealDeclareMessage(Message message) {
        try {
            String s = new String(message.getBody(), StandardCharsets.UTF_8);
            msgLogService.consumerSuccess(s);
        } catch (Exception e) {
            log.info("charge_trans_produce"+"异常信息：" + e.getMessage());
        } finally {

        }
    }
}
